#ifndef ProtoGenWrapper_ComInterface_H
#define ProtoGenWrapper_ComInterface_H

#include <string>

#include "MySerializable.h"
namespace ProtoGenWrapper
{
	class ComInterface : public MySerializable
	{
	public:
		ComInterface();

		std::string GetShortName() const;
		void SetShortName(const std::string& shortname);
		std::string GetLongName() const;
		void SetLongName(const std::string& longname);

		void Serialize(std::string* output) const override;
		void Deserialize(const std::string& data) override;

	protected:
		std::string _shortname;
		std::string _longname;
	};
}
#endif // ProtoGenWrapper_ComInterface_H